##### 7.7.21.0. WeylClosure1

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  WeylClosure1(L); L a poly

Assume:
  The basering is the first Weyl algebra D=K<x,d|dx=xd+1> over a field K of characteristic 0.

Return:
  ideal, the Weyl closure of the principal left ideal generated by L

Remarks:
  The Weyl closure of a left ideal I in the Weyl algebra D is defined to be the intersection of I regarded as left ideal in the rational Weyl algebra K(x)<d> with the polynomial Weyl algebra D.
  Reference: (Tsa), Algorithm 1.2.4

Note:
  If printlevel=1, progress debug messages will be printed, if printlevel>=2, all the debug messages will be printed.

Example:

    LIB "dmodloc.lib";
    ring r = 0,(x,Dx),dp;
    def W = Weyl();
    setring W;
    poly L = (x^3+2)*Dx-3*x^2;
    WeylClosure1(L);
    ==> _[1]=x^3*Dx-3*x^2+2*Dx
    ==> _[2]=x^2*Dx^2-2*x*Dx
    ==> _[3]=x^2*Dx+Dx^2-3*x
    ==> _[4]=-1/2*x*Dx^2+Dx
    L = (x^4-4*x^3+3*x^2)*Dx^2+(-6*x^3+20*x^2-12*x)*Dx+(12*x^2-32*x+12);
    WeylClosure1(L);
    ==> _[1]=x^4*Dx^2-4*x^3*Dx^2-6*x^3*Dx+3*x^2*Dx^2+20*x^2*Dx+12*x^2-12*x*Dx-32*\
       x+12
    ==> _[2]=2/3*x^3*Dx^3-5/3*x^3*Dx^2+x^2*Dx^3-4/3*x^2*Dx^2+10*x^2*Dx-2*x*Dx^2+8\
       /3*x*Dx-20*x-32/3
    ==> _[3]=x^3*Dx^3-2*x^3*Dx^2-x^2*Dx^2+12*x^2*Dx-4*x*Dx-24*x+4
    ==> _[4]=43/24*x^3*Dx^3-19/6*x^3*Dx^2-43/12*x^2*Dx^2+3/8*x*Dx^3+19*x^2*Dx+x*D\
       x^2+23/12*x*Dx-3/4*Dx^2-38*x-3*Dx-23/3
    ==> _[5]=x^3*Dx^4-6*x^3*Dx^3-4*x^2*Dx^4+9*x^3*Dx^2+2*x^2*Dx^3+3*x*Dx^4+12*x^2\
       *Dx^2+4*x*Dx^3-54*x^2*Dx-12*x*Dx^2-3*Dx^3+108*x+18*Dx
    ==> _[6]=x^3*Dx^6+8/3*x^3*Dx^5-4*x^2*Dx^6-2/3*x^2*Dx^5+3*x*Dx^6+35*x^3*Dx^3+1\
       6*x^2*Dx^4-20*x*Dx^5-56*x^3*Dx^2-92/3*x*Dx^4+12*Dx^5-70*x^2*Dx^2-39*x*Dx^\
       3+336*x^2*Dx+92/3*Dx^3+14*x*Dx+46*Dx^2-672*x-56

See also: WeylClosure.

User manual for Singular version 4-0-3, 2016, generated by texi2html.